%global srcname pyxattr

Name:		python3-%{srcname}
Summary:	Extended attributes library wrapper for Python
Version:	0.6.1
Release:	1%{?dist}
License:	LGPLv2+
URL:		https://pyxattr.k1024.org/
Source:		%{url}/downloads/%{srcname}-%{version}.tar.gz
BuildRequires:	gcc
BuildRequires:	libattr-devel
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
%if 0%{?with_python3_other}
BuildRequires:	python%{python3_other_pkgversion}-devel
BuildRequires:	python%{python3_other_pkgversion}-setuptools
%endif

%global _description\
Python extension module wrapper for libattr. It allows to query, list, add and \
remove extended attributes from files and directories.

%description %_description

%package -n python%{python3_pkgversion}-%{srcname}
Summary:	Extended attributes library wrapper for Python %{python3_pkgversion}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname} %_description

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{srcname}
Summary:	Extended attributes library wrapper for Python %{python3_other_pkgversion}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{srcname}}

%description -n python%{python3_other_pkgversion}-%{srcname} %_description
%endif

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif

%install
%if 0%{?with_python3_other}
%py3_other_install
%endif
%py3_install

%check
# selinux in koji produces unexpected xattrs for tests
export TEST_IGNORE_XATTRS=security.selinux

%if 0%{?with_python3_other}
%{__python3_other} setup.py test
%endif
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-%{srcname}
%{python3_sitearch}/xattr.cpython-??*
%{python3_sitearch}/*egg-info
%license COPYING
%doc NEWS README.rst

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{srcname}
%{python3_other_sitearch}/xattr.cpython-??*
%{python3_other_sitearch}/*egg-info
%license COPYING
%doc NEWS README.rst
%endif

%changelog
* Sun Jul 14 2019 Dan Čermák <dan.cermak@cgc-instruments.com> - 0.6.1-1
- Initial package version
